# Uses of Interface
org.w3c.dom.DocumentType

Packages that use DocumentType
Package
Description
org.w3c.dom
Provides the interfaces for the Document Object Model (DOM).

## Uses of DocumentType in org.w3c.dom

Methods in org.w3c.dom that return DocumentType
Modifier and Type
Method
Description
`DocumentType`
DOMImplementation.`createDocumentType(String qualifiedName, String publicId, String systemId)`
Creates an empty `DocumentType` node.
`DocumentType`
Document.`getDoctype()`
The Document Type Declaration (see `DocumentType`) associated with this document.
Methods in org.w3c.dom with parameters of type DocumentType
Modifier and Type
Method
Description
`Document`
DOMImplementation.`createDocument(String namespaceURI, String qualifiedName, DocumentType doctype)`
Creates a DOM Document object of the specified type with its document element.